În cazul în care șirul //IGNORE este atașat la to-encoding, caracterele care nu pot fi convertite sunt eliminate și se afișează o eroare după conversie.(1)

NUME
sessreg - gestionează intrările utmpx/wtmpx pentru clienții non-init

SINOPSIS
sessreg [-w fișier-wtmpx] [-u fișier-utmpx] [-L fișier-lastlog] [-l nume-linie] [-h nume-gazdă] [-s număr-slot] [-x fișier-Xservers] [-t fișier-ttys] [-V] [-a] [-d] nume-utilizator

DESCRIERE

sessreg este un program simplu pentru gestionarea intrărilor utmpx/wtmpx și lastlog pentru sesiunile xdm.

Această versiune a sessreg este construită folosind interfețele moderne POSIX pututxline(3c), care nu mai au nevoie de asocierile număr-slot, fișier-ttys sau fișier-Xservers. Pentru compatibilitate cu versiunile mai vechi și cu alte sisteme de operare, se acceptă, dar se ignoră, opțiunile -s, -t și -x.

UTILIZARE

În Xstartup (pornirea X), plasează un apel de tipul:
       sessreg -a -l $DISPLAY -x /etc/X11/xdm/Xservers $USER
și în Xreset (reinițierea X):
       sessreg -d -l $DISPLAY -x /etc/X11/xdm/Xservers $USER

OPȚIUNI

-w fișier-wtmpx
    Aceasta specifică un fișier „wtmpx” alternativ, în loc de /var/run/wtmp. Numele special „none” (niciunul) dezactivează scrierea înregistrărilor în fișierul „wtmpx”.

-u fișier-utmpx
    Aceasta specifică un fișier „utmpx” alternativ, în loc de /var/run/utmp. Numele special „none” (niciunul) dezactivează scrierea înregistrărilor în fișierul „utmpx”.

-L fișier-lastlog
    Aceasta specifică un fișier „lastlog” alternativ, în loc de /var/log/lastlog, dacă platforma acceptă fișiere „lastlog”. Numele special „none” (niciunul) dezactivează scrierea înregistrărilor în fișierul „lastlog”.

-l nume-linie
    Aceasta descrie numele „liniei” de intrare. Pentru sesiunile de terminal, acesta este segmentul final al numelui de rută din numele de fișier al dispozitivului terminal (de exemplu, ttyd0). Pentru sesiunile X, ar trebui să fie probabil numele local de afișare dat sesiunii utilizatorilor (de exemplu :0). Dacă nu este specificat niciunul, numele terminalului va fi determinat cu ttyname(3) și va fi lipsit de componentele anterioare.

-h nume-gazdă
    Aceasta este definită pentru a indica faptul că sesiunea a fost inițiată de la o gazdă la distanță. În utilizarea obișnuită a xdm, această opțiune nu este utilizată.

-s număr-slot
    Această opțiune este acceptată pentru compatibilitate, dar nu face nimic în această versiune a sessreg.

-x fișier-Xservers
    Această opțiune este acceptată pentru compatibilitate, dar nu face nimic în această versiune a sessreg.

-t fișier-ttys
    Această opțiune este acceptată pentru compatibilitate, dar nu face nimic în această versiune a sessreg.

-V  Această opțiune determină comanda să afișeze versiunea sa și să iasă.

-a  Această sesiune trebuie să fie adăugată la utmpx/wtmpx.

-d  Această sesiune trebuie să fie ștearsă din utmpx/wtmpx. Trebuie specificată una dintre -a/-d.

CONSULTAȚI ȘI
xdm(1), utmpx(5), wtmpx(5)

AUTOR
Keith Packard, MIT X Consortium

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.